module.exports = {
    env: {
        browser: true,
        es2020: true,
        node: true,
        jquery: true,
    },
    extends: ["airbnb-base", "prettier"],
    plugins: ["prettier"],
    parserOptions: {
        ecmaVersion: 11,
        sourceType: "module",
    },
    rules: {
        "prettier/prettier": ["error"],
        "no-underscore-dangle": [
            "error",
            {
                allow: ["_id", "artists_sort", "type_"],
            },
        ],
        camelcase: [
            "error",
            {
                allow: [
                    "artists_sort",
                    "access_token",
                    "api_url",
                    "media_ids",
                    "release_id",
                ],
            },
        ],
    },
    ignorePatterns: ["public/libs/**/*.js", "public/js/main.js", "dist/**"],
    overrides: [
        {
            files: ["**/*.js"],
            excludedFiles: "*.ejs",
        },
    ],
    globals: {
        Vue: true,
        axios: true,
        showToastr: true,
        protocol: true,
        host: true,
    },
};
